---
layout: default
title: rpm.org - RPM Reference Manual
---
# RPM Reference Manual

* [About this manual](about.md)
* [RPM's Philosophy](philosophy.md)

## Package Management

### Queries and RPM Meta Data
* [RPM Tags](tags.md)
* [Large File support](large_files.md)
* [Query formatting](queryformat.md)

## Macro subsystem
* [Macro syntax](macros.md)
* [Embedded Lua](lua.md)

## Package Building
* [Build Process](buildprocess.md)
* [Spec Syntax](spec.md)
* [Dynamic Spec Generation](dynamic_specs.md)

## Developer Information

### API
* [Plugin API](plugins.md)

### Package Format
* [RPM v4 file format](format_v4.md)
* [RPM v4 signatures and digests](signatures_digests.md)
* [RPM v3 file format](format_v3.md) (obsolete)

### Documentation
* [Write documentation](devel_documentation.md)
